Bug 1730499 - osd/ECBackend.cc: 422: FAILED assert(op.xattrs.size())
Summary: osd/ECBackend.cc: 422: FAILED assert(op.xattrs.size())
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 2.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.0
Assignee: Neha Ojha
QA Contact: Manohar Murthy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 22:42 UTC by Vikhyat Umrao
Modified: 2019-09-09 17:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-30 03:36:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 24406 None None None 2019-08-30 02:46:05 UTC

Description Vikhyat Umrao 2019-07-16 22:42:48 UTC
Description of problem:
osd/ECBackend.cc: 422: FAILED assert(op.xattrs.size())


ceph version 10.2.10-37redhat1xenial (a3727e7c4651dd9db224a2e8480dd8262d412a18)
 1: (ceph::__ceph_assert_fail(char const*, char const*, int, char const*)+0x80) [0x55a34bde7c40]
 2: (ECBackend::handle_recovery_read_complete(hobject_t const&, boost::tuples::tuple<unsigned long, unsigned long, std::map<pg_shard_t, ceph::buffer::list, std::less<pg_shard_t>, std::allocator<std::pair<pg_shard_t const, ceph::buffer::list> > >, boost::tuples::null_type, boost::tuples::null_type, boost::tuples::null_type, boost::tuples::null_type, boost::tuples::null_type, boost::tuples::null_type, boost::tuples::null_type>&, boost::optional<std::map<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, ceph::buffer::list, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::list> > > >, RecoveryMessages*)+0xc1b) [0x55a34b8c644b]
 3: (OnRecoveryReadComplete::finish(std::pair<RecoveryMessages*, ECBackend::read_result_t&>&)+0x68) [0x55a34b8d93a8]
 4: (ECBackend::complete_read_op(ECBackend::ReadOp&, RecoveryMessages*)+0x62) [0x55a34b8c3922]
 5: (ECBackend::handle_sub_read_reply(pg_shard_t, ECSubReadReply&, RecoveryMessages*)+0x1155) [0x55a34b8c4d85]
 6: (ECBackend::_handle_message(std::shared_ptr<OpRequest>)+0x1a8) [0x55a34b8c92c8]
 7: (PGBackend::handle_message(std::shared_ptr<OpRequest>)+0xb4) [0x55a34b86faa4]
 8: (ReplicatedPG::do_request(std::shared_ptr<OpRequest>&, ThreadPool::TPHandle&)+0xb4) [0x55a34b7e27c4]
 9: (OSD::dequeue_op(boost::intrusive_ptr<PG>, std::shared_ptr<OpRequest>, ThreadPool::TPHandle&)+0x411) [0x55a34b680ac1]
 10: (PGQueueable::RunVis::operator()(std::shared_ptr<OpRequest>&)+0x52) [0x55a34b680d12]
 11: (OSD::ShardedOpWQ::_process(unsigned int, ceph::heartbeat_handle_d*)+0x6e1) [0x55a34b69dd71]
 12: (ShardedThreadPool::shardedthreadpool_worker(unsigned int)+0x73a) [0x55a34bdd7c1a]
 13: (ShardedThreadPool::WorkThreadSharded::entry()+0x10) [0x55a34bddad30]
 14: (()+0x76ba) [0x7f8b2cb946ba]
 15: (clone()+0x6d) [0x7f8b2ac0c41d]
 NOTE: a copy of the executable, or `objdump -rdS <executable>` is needed to interpret this.




Version-Release number of selected component (if applicable):
RHCS 2.5.z3
10.2.10-37redhat1xenial

Comment 26 Giridhar Ramaraju 2019-08-05 13:08:53 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 27 Giridhar Ramaraju 2019-08-05 13:10:15 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.